Bug 74520 - StructElement does not provide a way of identifying grouping elements
Summary: StructElement does not provide a way of identifying grouping elements
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tagged-pdf 74753
  Show dependency treegraph
 
Reported: 2014-02-04 17:29 UTC by Adrian Perez de Castro
Modified: 2014-02-09 16:35 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Allow properly identifying grouping elements (4.98 KB, text/plain)
2014-02-04 17:29 UTC, Adrian Perez de Castro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Perez de Castro 2014-02-04 17:29:14 UTC
Created attachment 93390 [details]
Allow properly identifying grouping elements

The StructElement class, used for exposing Tagged-PDF information,
does not provide a way of identifying which elements are grouping
elements. According to section 14.8.4.2 of the PDF standard (titled
“Grouping elements”, those shall not be considered as block elements,
nor as inline elements. Provided that there are already methods
StructElement::isInline() and StructElement::isBlock(), it would
be reasonable to expected that a StructElement::isGrouping() existed.

Last, but not least, some actual applications may need to know when
an element is used to group other elements. One example usage would
be being able to collapse text content of all elements in a grouping
element to perform text reflowing, presenting the text as a single
entity to accessibility technologies, etc.
Comment 1 Carlos Garcia Campos 2014-02-08 08:16:07 UTC
Pushed, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.